/*
 * @Author: lqh qihang.li@nascent.cn
 * @Date: 2022-08-05 14:29:51
 * @LastEditors: lqh qihang.li@nascent.cn
 * @LastEditTime: 2022-08-05 15:27:17
 * @FilePath: \C端组件库\vite.config.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react'

const path = require("path");

const resolvePath = (str: string) => path.resolve(__dirname, str);

export default defineConfig({
  plugins: [react()],
  build: {
    lib: {
      entry: resolvePath("packages/index.ts"),
      name: "componentsName",
      fileName: format => `componentsName.${format}.js`,
    },
    rollupOptions: {
        external: ["react", "react-dom", "antd-mobile"],
        output: {
          globals: {
            react: "react",
            'antd-mobile': "antd-mobile",
            "react-dom": "react-dom",
          },
        },      
    },
  },
})