import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react'

import { resolve } from 'path'

const resolvePath = (str: string) => resolve(__dirname, str);

export default defineConfig({
  plugins: [react()],
  build: {
    lib: {
      entry: resolvePath("packages/index.ts"),
      name: "componentsName",
      fileName: format => `componentsName.${format}.js`,
    },
    rollupOptions: {
        external: ["react", "react-dom", "antd-mobile"],
        output: {
          globals: {
            react: "react",
            'antd-mobile': "antd-mobile",
            "react-dom": "react-dom",
          },
        },      
    },
  },
})